org.apache.tinkerpop.gremlin.process.computer.ranking.pagerank

## Class PageRankVertexProgramTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.computer.ranking.pagerank.PageRankVertexProgramTest

-     public class PageRankVertexProgramTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageRankVertexProgramTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldExecutePageRankWithEnergyConservation()`
    `void` | `shouldExecutePageRankWithEpsilonBreak()`
    `void` | `shouldExecutePageRankWithIterationsBreak()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageRankVertexProgramTest

          public PageRankVertexProgramTest()

  - ### Method Detail

    - #### shouldExecutePageRankWithIterationsBreak

          public void shouldExecutePageRankWithIterationsBreak()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldExecutePageRankWithEpsilonBreak

          public void shouldExecutePageRankWithEpsilonBreak()
                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldExecutePageRankWithEnergyConservation

          public void shouldExecutePageRankWithEnergyConservation()
                                                           throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.